#ifndef WANG_HASH_H
#define WANG_HASH_H

static inline uint32_t wang_hash(uint32_t v) {
    v = (v ^ 61) ^ (v >> 16);
    v = v + (v << 3);
    v = v ^ (v >> 4);
    v = v * 0x27d4eb2d;
    v = v ^ (v >> 15);
    return v;
}

#endif